Bug 150797 - Can't scroll with mouse in Print Preview from 7.5+
Summary: Can't scroll with mouse in Print Preview from 7.5+
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All Linux (All)
: high normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-09-05 14:37 UTC by Timur
Modified: 2022-09-07 12:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2022-09-05 14:37:46 UTC
Open attachment 125684 [details] from bug 100419.
Set Print Preview.
Try to scroll with mouse, not possible, regression from 7.5.

Seems Linux only, OK in Windows. Also possible with Page Up/Down.
Comment 1 Timur 2022-09-05 14:56:57 UTC
commit ae354652c8b0247a05ad0d8bb1551fdafd451e53	[log]
author	Caolán McNamara <caolanm@redhat.com>	Aug 04 2022 
using ScrollType::Drag looks the safest choice
rather than DontKnow, Drag assumptions seem to fit best

CC Caolán , please see.
Comment 2 Commit Notification 2022-09-05 20:03:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb549e48a8b8e23a89b608f63d9452e5bec83be7

Resolves: tdf#150797 page preview scrolling not updating position

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Timur 2022-09-07 12:08:06 UTC
Thanks.